Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.util.facade
Class ImplementationSpecificArgument

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.types.Commandline.Argument
                  |
                  +--org.apache.tools.ant.util.facade.ImplementationSpecificArgument

Direct Known Subclasses:
  Javac.ImplementationSpecificArgument, Rmic.ImplementationSpecificArgument

public class ImplementationSpecificArgument
extends Commandline.Argument

Extension of Commandline.Argument with a new attribute that choses a specific implementation of the facade.

Since:
  Ant 1.5

Field Summary

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`ImplementationSpecificArgument()` Constructor for ImplementationSpecificArgument.

Method Summary
`java.lang.String[]` | `getParts(java.lang.String chosenImpl)` Return the parts this Argument consists of, if the implementation matches the chosen implementation.
`void` | `setImplementation(java.lang.String impl)` Set the implementation this argument is for.

Methods inherited from class org.apache.tools.ant.types.Commandline.Argument
`getParts, setFile, setLine, setPath, setPathref, setValue`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, log, log, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImplementationSpecificArgument

    public ImplementationSpecificArgument()

  Constructor for ImplementationSpecificArgument.

Method Detail

### setImplementation

    public void setImplementation(java.lang.String impl)

  Set the implementation this argument is for.

  Parameters:
    `impl` - the implementation this command line argument is for.

### getParts

    public final java.lang.String[] getParts(java.lang.String chosenImpl)

  Return the parts this Argument consists of, if the implementation matches the chosen implementation.

  Parameters:
    `chosenImpl` - the implementation to check against.
  Returns:
    the parts if the implemention matches or an zero length array if not.
  See Also:
    `Commandline.Argument#getParts()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.